Skip to main content
`Ctrl`+`K`

# PetscSpaceSetDegree

Set the degree of approximation for this space.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetDegree(PetscSpace sp, PetscInt degree, PetscInt maxDegree)

## Input Parameters

- sp - The `PetscSpace`

- degree - The degree of the largest polynomial space contained in the space

- maxDegree - The degree of the largest polynomial space containing the space. One of degree and maxDegree can be `PETSC_DETERMINE`.

## See Also

`PetscSpace`, `PetscSpaceGetDegree()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages